<template>
    <b-form-select
        v-model="selected"
        class="select_blue"
        :options="platforms"
        @change="updatePlatform"
    />
</template>

<script>
import {mapMutations} from 'vuex'
import {PLATFORMS} from '@/store/constants.js'

export default {
    data() {
        return {
            selected: 'shopify',
            platforms: PLATFORMS,
        }
    },
    created() {
        const platform = this.$cookies.get('platform')
        this.selected = platform || 'shopify'
    },
    methods: {
        ...mapMutations(['updPlatform', 'setField']),
        async updatePlatform() {
            this.$cookies.remove('platform')
            let platform = this.selected
            await this.$cookies.set('platform', platform)
            this.updPlatform(this.selected)
            this.$emit('updPlatform')
        },
    }
}
</script>

<style lang="scss" scoped>
.select_blue {
    max-width: 200px;
    padding: 10px 14px;
    font-size: 20px;
    color: #4786ff;
    height: 45px;
    line-height: 120%;
    @media(max-width: 770px) {
        height: 35px;
        padding: 5px 7px;
    }
}

</style>